PDA

View Full Version : GD library (2.0+ is recommended) or ImageMagick.


wshinds
April 14th, 2005, 01:47 AM
How would I find this out? I mean I don't know if I have either of these 2 programs on my host. Are these fairly standard on most servers?

-Scott

Through PHP Info, is that this ::

gd
GD Support enabled
GD Version bundled (2.0.28 compatible)
GIF Read Support enabled
GIF Create Support enabled
JPG Support enabled
PNG Support enabled
WBMP Support enabled
XBM Support enabled

mholtum
April 14th, 2005, 03:18 AM
How would I find this out? I mean I don't know if I have either of these 2 programs on my host. Are these fairly standard on most servers?

-Scott

Through PHP Info, is that this ::

gd
GD Support enabled
GD Version bundled (2.0.28 compatible)

Seems you answered your own ?. It is enabled. I have used both IM and GD and I prefer IM. I am told it is better.

wshinds
April 15th, 2005, 11:20 PM
Seems you answered your own ?. It is enabled. I have used both IM and GD and I prefer IM. I am told it is better.

Yes I guess so, but what makes IM better than GD? The money I have is limited, I know this is a good plugin -- but I need to know if I ought to pester my host to get the new software.

-S

mholtum
April 15th, 2005, 11:35 PM
Yes I guess so, but what makes IM better than GD? The money I have is limited, I know this is a good plugin -- but I need to know if I ought to pester my host to get the new software.

-S
Every host I have ever had has had both installed. Check and see if you do..

Or just change it to IM and the path to /usr/bin/ and see if you get errors.

Brian
April 16th, 2005, 08:52 AM
IM has support for more image types and just generally does a better job of image manipulation than GD.